> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create User

POST https://api-b2b.bigcommerce.com/api/v2/users
Content-Type: application/json

Creates a new user in a Company account.

Equivalent Storefront GraphQL API Mutation: `userCreate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

If you enter an email address in the `email` field that is associated with a BigCommerce customer account, and the customer account does not already have a corresponding Company user account, it will link the existing customer account with the new Company user. If the email is not associated with a customer account, a new one will be created with the Company user.

This endpoint will send a welcome email to the new user as if they had created their account via the Storefront UI.

When you create an account this way, the user must reset their password to log in to the storefront unless they already have an existing BigCommerce customer account.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/company/users/post-users

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Body (application/json)

This endpoint expects an object.

- `firstName` (string, required) — The user's first name.
- `lastName` (string, required) — The user's last name.
- `email` (string, required) — The email address associated with the user's account.
- `companyId` (string, required) — Unique numeric ID of the Company account.
- `phoneNumber` (string, required) — The phone number associated with the user's account.
- `role` (enum, required) — The ID of the role assigned to the Company user account as defined at [Specifying User Role](/developer/api-reference/rest/b2b/storefront/company/companies#specifying-user-role).
  - Allowed values: `0`, `1`, `2`

## Response

### 200

OK

- `message` (string, optional)
- `code` (double, optional, default: 200)
- `data` (UsersPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### UsersPostResponsesContentApplicationJsonSchemaData

- `userId` (string, optional) — The unique ID for the customer account.
- `bcId` (string, optional) — The user's unique BigCommerce customer account ID. Does not match `userId` by default.
- `firstName` (string, optional) — The user's first name.
- `lastName` (string, optional) — The user's last name.
- `email` (string, optional) — The email address associated with the user's account.
- `role` (enum, optional) — The ID of the role assigned to the Company user account as defined at [Specifying User Role](/developer/api-reference/rest/b2b/storefront/company/companies#specifying-user-role).
  - Allowed values: `0`, `1`, `2`

## Examples

**Request**

```json
{
  "firstName": "Marie",
  "lastName": "Curie",
  "email": "m.curie@greatbuys.com",
  "companyId": "123456",
  "phoneNumber": "8001234567",
  "role": "0"
}
```

**Response**

```json
{
  "message": "string",
  "code": 200,
  "data": {
    "userId": "123",
    "bcId": "321",
    "firstName": "Marie",
    "lastName": "Curie",
    "email": "m.curie@greatbuys.com",
    "role": "1"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/users"

payload = {
    "firstName": "Marie",
    "lastName": "Curie",
    "email": "m.curie@greatbuys.com",
    "companyId": "123456",
    "phoneNumber": "8001234567",
    "role": "0"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/users';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"firstName":"Marie","lastName":"Curie","email":"m.curie@greatbuys.com","companyId":"123456","phoneNumber":"8001234567","role":"0"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/users"

	payload := strings.NewReader("{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"companyId\": \"123456\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"0\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"companyId\": \"123456\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"0\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v2/users")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"companyId\": \"123456\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"0\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v2/users', [
  'body' => '{
  "firstName": "Marie",
  "lastName": "Curie",
  "email": "m.curie@greatbuys.com",
  "companyId": "123456",
  "phoneNumber": "8001234567",
  "role": "0"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/users");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstName\": \"Marie\",\n  \"lastName\": \"Curie\",\n  \"email\": \"m.curie@greatbuys.com\",\n  \"companyId\": \"123456\",\n  \"phoneNumber\": \"8001234567\",\n  \"role\": \"0\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "firstName": "Marie",
  "lastName": "Curie",
  "email": "m.curie@greatbuys.com",
  "companyId": "123456",
  "phoneNumber": "8001234567",
  "role": "0"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```